/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface SamplingPointsServicesQueue
 */
export interface SamplingPointsServicesQueue {
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesQueue
     */
    queueLinksId?: number;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesQueue
     */
    note?: string | null;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesQueue
     */
    waitMin?: number | null;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesQueue
     */
    waitPerson?: number | null;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesQueue
     */
    timeRecord?: string;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesQueue
     */
    timestampCreated?: Date;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesQueue
     */
    updatedAt: Date;
}

export function SamplingPointsServicesQueueFromJSON(json: any): SamplingPointsServicesQueue {
    return SamplingPointsServicesQueueFromJSONTyped(json, false);
}

export function SamplingPointsServicesQueueFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsServicesQueue {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'queueLinksId': !exists(json, 'queue_links_id') ? undefined : json['queue_links_id'],
        'note': !exists(json, 'note') ? undefined : json['note'],
        'waitMin': !exists(json, 'wait_min') ? undefined : json['wait_min'],
        'waitPerson': !exists(json, 'wait_person') ? undefined : json['wait_person'],
        'timeRecord': !exists(json, 'time_record') ? undefined : json['time_record'],
        'timestampCreated': !exists(json, 'timestamp_created') ? undefined : (new Date(json['timestamp_created'])),
        'updatedAt': (new Date(json['updated_at'])),
    };
}

export function SamplingPointsServicesQueueToJSON(value?: SamplingPointsServicesQueue | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'queue_links_id': value.queueLinksId,
        'note': value.note,
        'wait_min': value.waitMin,
        'wait_person': value.waitPerson,
        'time_record': value.timeRecord,
        'timestamp_created': value.timestampCreated === undefined ? undefined : (value.timestampCreated.toISOString()),
        'updated_at': (value.updatedAt.toISOString()),
    };
}


